----------------------------------------------------------------------
-- Foutputrecord.vhd
-- Description:   
-- Author:        Carsten Wulff <wulff@iet.ntnu.no>
-- Created at:    Mon Sep 25 13:55:25 2006
-- Modified at:   Tue Jan  8 12:25:54 2008
-- Modified by:   Carsten Wulff <wulff@iet.ntnu.no>
----------------------------------------------------------------------
library IEEE;
use IEEE.math_real.all;
use IEEE.electrical_systems.all;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
use STD.TEXTIO.all;
use IEEE.std_logic_textio.all;
entity OutputRecord is
  port(
    clk          : in  std_logic;
    ctrlin       : in  std_logic;
    output       : in  std_logic_vector (0 to 11)

    );
end entity OutputRecord;

architecture struct of OutputRecord is

begin

  p1 : process (clk,ctrlin)
    file my_output  : text open write_mode is "simulation/output.dat";
    variable my_ol  : line;    
    variable i : real := 0.0;
    variable temp : std_logic := '0';
  begin
    if ctrlin'event and ctrlin='0' then
    temp:='1';
    i:=3.0;
    end if;

    if clk'event and clk = '1' and temp='1' then
      if i < 1.0 then
      write(my_ol, output);
        writeline(my_output, my_ol);
	i := 0.0;
	temp:='0';
      else
        i := i- 1.0;  
    end if;
    end if;

    
  end process p1;

end struct;
