----------------------------------------------------------------------
-- Foutputrecord.vhd
-- Description:   
-- Author:        Carsten Wulff <wulff@iet.ntnu.no>
-- Created at:    Mon Sep 25 13:55:25 2006
-- Modified at:   Tue Jan  8 12:25:54 2008
-- Modified by:   Carsten Wulff <wulff@iet.ntnu.no>
----------------------------------------------------------------------
library IEEE;
use IEEE.math_real.all;
use IEEE.electrical_systems.all;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_ARITH.all;
use IEEE.STD_LOGIC_UNSIGNED.all;
use STD.TEXTIO.all;
use IEEE.std_logic_textio.all;
entity OutputRecord is
  port(
    clk          : in  std_logic;
    ctrlin       : in  std_logic;
    output       : in  std_logic_vector (0 to 11)

    );
end entity OutputRecord;

architecture struct of OutputRecord is

begin

  p1 : process (clk,ctrlin)
    --file my_output  : text open write_mode is "simulation/output.dat";
	file my_input  : text;
	file my_output  : text;
    variable my_ol  : line;    
	variable my_il  : line; 
    variable i : real := 0.0;
	variable j : integer := 0;
    variable temp : std_logic := '0';
	VARIABLE fstatus : File_open_status;
	variable output2 : std_logic_vector (0 to 11);
	variable input2 : std_logic_vector (0 to 11);
  begin
    --if ctrlin'event and ctrlin='0' then
    --temp:='1';
    --i:=3.0;
    --end if;

    if clk'event and clk = '1' then
      if i < 1.0 then
	  File_open(fstatus, my_input, "simulation/output2.dat", read_mode);
	  File_open(fstatus, my_output, "simulation/output.dat", write_mode);
	  while not(endfile(my_input)) loop 
	  readline(my_input, my_il);
	  --read(my_il,input2);
	  --output2 := input2;
	  --write(my_ol, input2);
      writeline(my_output, my_il);
	  end loop;
	  file_close(my_input);
	  file_close(my_output);
	  i := 1.0;
      else
        i := 1.0;  
    end if;
    end if;

    
  end process p1;

end struct;
